<?php
// $Id: page.tpl.php,v 1.25 2007/09/05 08:42:02 dries Exp $
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language->language ?>" xml:lang="<?php print $language->language ?>">

<head>
  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
</head>
<body>

<div id="page">

<div id="header">
  <div id="subheader">
    <div id="menu">
      <?php if (isset($primary_links)) { ?>
        <?php print theme('links', array_reverse($primary_links), array('class' =>'links', 'id' => 'primary')) ?>
        <div class="clearing">&nbsp;</div>
      <?php } ?>
    </div>
    <div id="logo">
      <?php if ($logo) { ?><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" /></a><?php } ?>
      <div class="snwrap">
        <?php if ($site_name) { ?><h1 class='site-name'><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></h1><?php } ?>
        <?php if ($site_slogan) { ?><div class='site-slogan'><?php print $site_slogan ?></div><?php } ?>
      </div>
    </div>
    <?php if (isset($search_box)) { ?><?php print $search_box ?><?php } ?>
    <div class="clearing">&nbsp;</div>
  </div>
  <div>
    <?php print $header ?>
  </div>
  <div class="clearing">&nbsp;</div>
</div>

<?php
  $w_twocol="w_80 ";
  $w_blockleft="w_24 ";
  $w_main="w_73 ";
  $ml_blockright="ml_81 ";
  $ml_main="ml_24 ";
  if (! $right) {
    $w_twocol="w_100 ";
    $ml_blockright=" ";
  }
  if (! $left) {
    $w_main="w_96 ";
    $w_blockleft=" ";
    $ml_main=" ";
  }
?>

<div id="content">

<div class="ch1"><div class="cr3"><div class="crm3"><div class="clm3"><div class="cl3">
  &nbsp;
</div></div></div></div></div>
<div class="ch2"><div class="cr3"><div class="crm3"><div class="cl3"><div class="clm3">
  <div id="submenu">
    <?php if (isset($secondary_links)) { ?>
      <?php print theme('links', $secondary_links, array('class' =>'links', 'id' => 'secondary')) ?>
    <?php } ?>
  </div>
  <div class="<?php print $w_twocol; ?>">
    <?php if ($left) { ?><div class="<?php print $w_blockleft; ?> floatleft"> </div><?php } ?>
    <div class="<?php print $w_main; ?> floatright">
      <?php if (! drupal_is_front_page()) { print $breadcrumb; } ?>
      <?php if ($mission) { ?><div id="mission"><?php print $mission ?></div><?php } ?>
    </div>
  </div>
  <?php if ($right) { ?><div class="<?php print $ml_blockright; ?>"> </div><?php } ?>
  <div class="clearing">&nbsp;</div>
</div></div></div></div></div>

<div class="clear">&nbsp;</div>
<div class="cr3"><div class="crm3"><div class="cl3"><div class="clm3">
<div id="threecol">
  <div id="twocol" class="<?php print $w_twocol; ?>">
    <?php if ($left) { ?>
      <div id="block-left" class="<?php print $w_blockleft; ?>">
        <div id="sidebar-left"><?php print $left ?></div>
      </div>
    <?php } ?>
    <div id="main_wrap" class="<?php print $w_main; ?>">
      <div id="main">
        <h1 class="title"><?php print $title ?></h1>
        <div class="tabs"><?php print $tabs ?></div>
        <?php print $help ?>
        <?php print $messages ?>
        <?php print $content; ?>
        <?php print $feed_icons; ?>
      </div>
    </div> 
  </div>
  <?php if ($right) { ?>
    <div id="block-right" class="<?php print $ml_blockright; ?>">
      <div id="sidebar-right">
        <?php print $right ?>
      </div>
    </div>
  <?php } ?>
  <div class="clearing">&nbsp;</div>
</div>
</div></div></div></div>

<div class="ch2"><div class="cr3"><div class="crm3"><div class="cl3"><div class="clm3">
  &nbsp;
</div></div></div></div></div>
<div class="ch3"><div class="cr3"><div class="crm3"><div class="clm3"><div class="cl3">
  &nbsp;
</div></div></div></div></div>

</div> <!-- CONTENT -->

<b class="sh3">&nbsp;</b><b class="sh2">&nbsp;</b><b class="sh1">&nbsp;</b>
<div id="footer">
  <?php print $footer_message ?>
  <?php print $footer ?>
</div>
<?php print $closure ?>
</div> <!-- PAGE -->
</body>
</html>
